=== debian/changelog ===
autobahn-cpp (0.2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Force version 1 API for msgpack-c to fix FTBFS against msgpack-c 2.x.
    (Closes: #864465)

 -- James McCoy <jamessan@debian.org>  Sat, 16 Sep 2017 14:07:54 -0400

autobahn-cpp (0.2.1-2) unstable; urgency=medium

  * Build-depend on libssl1.0-dev instead. 

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 16 Feb 2017 20:09:12 +0200

autobahn-cpp (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #851575)

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 18 Jan 2017 10:25:44 +0100
