## autobahn-cpp 17.5.1%2Bgit7cc5d37

=== debian/changelog ===
autobahn-cpp (17.5.1+git7cc5d37-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Refer to common license file for Apache-2.0.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Oct 2024 07:29:41 +0200

autobahn-cpp (17.5.1+git7cc5d37-3) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group
  * (Build-)Depends on libmsgpack-cxx-dev instead of libmsgpack-dev. (Closes:
    #1019114)
  * Bump debhelper compat to 13 and use debhelper-compat Build-Depends
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 27 Jan 2024 12:58:27 -0500

autobahn-cpp (17.5.1+git7cc5d37-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add -Wno-error=deprecated-declarations flag. (Closes: #995634)
  * d/control: Remove non-existing Vcs-* fields.

 -- Bastian Germann <bage@debian.org>  Sat, 21 May 2022 20:46:38 +0200

autobahn-cpp (17.5.1+git7cc5d37-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with Boost 1.74. (Closes: #978201)

 -- Adrian Bunk <bunk@debian.org>  Mon, 08 Feb 2021 22:23:04 +0200

autobahn-cpp (17.5.1+git7cc5d37-2) unstable; urgency=medium

  * Include forgotten headers wamp_publish_options.*

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 21 Nov 2017 23:58:08 +0200

autobahn-cpp (17.5.1+git7cc5d37-1) unstable; urgency=medium

  * New upstream version
  * Move to OpenSSL 1.1 (Closes: #858386)
  * Improve description (Closes: #855284)

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 21 Nov 2017 15:32:36 +0200
