=== debian/changelog ===
autobahn-cpp (17.5.1+git7cc5d37-5) unstable; urgency=medium

  * QA upload.
  * Bump CMake policy version (Closes: #1112712)
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Sep 2025 21:47:33 +0200
