=== debian/control ===
Source: autobahn-cpp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-program-options-dev,
               libboost-random-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libmsgpack-cxx-dev,
               libssl-dev,
               libwebsocketpp-dev (>= 0.7),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Section: libs
Homepage: http://autobahn.ws
Vcs-Browser: https://salsa.debian.org/debian/autobahn-cpp
Vcs-Git: https://salsa.debian.org/debian/autobahn-cpp.git

Package: autobahn-cpp-dev
Section: libdevel
Architecture: all
Depends: cmake,
         libboost-program-options-dev,
         libboost-random-dev,
         libboost-system-dev,
         libboost-thread-dev,
         libmsgpack-cxx-dev,
         libssl-dev,
         libwebsocketpp-dev (>= 0.7),
         ${misc:Depends},
Description: WAMP in C++ for Boost/Asio - development headers
 Autobahn|Cpp provides an implementation of the WebSocket and Web
 Application Messaging (WAMP) protocols.
 .
 WebSocket allows bidirectional real-time messaging on the Web and
 WAMP adds asynchronous Remote Procedure Calls and Publish &
 Subscribe on top of WebSocket.
 .
 Autobahn|Cpp is open-source, licensed under the Boost Software
 License. The API and implementation make use of modern C++ 11 and
 new asynchronous idioms using (upcoming) features of the standard
 C++ library, in particular Futures, Continuations and Lambdas.
 .
 This package includes the header files

Package: autobahn-cpp-doc
Section: doc
Architecture: all
Depends: autobahn-cpp-dev,
         ${misc:Depends},
Description: WAMP in C++ for Boost/Asio - examples
 Autobahn|Cpp provides an implementation of the WebSocket and Web
 Application Messaging (WAMP) protocols.
 .
 WebSocket allows bidirectional real-time messaging on the Web and
 WAMP adds asynchronous Remote Procedure Calls and Publish &
 Subscribe on top of WebSocket.
 .
 Autobahn|Cpp is open-source, licensed under the Boost Software
 License. The API and implementation make use of modern C++ 11 and
 new asynchronous idioms using (upcoming) features of the standard
 C++ library, in particular Futures, Continuations and Lambdas.
 .
 This package includes the examples
